Bug 172843 - [NEW PORT] multimedia/libva-intel-driver : intel driver for libva
Summary: [NEW PORT] multimedia/libva-intel-driver : intel driver for libva
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-18 07:50 UTC by Manuel Creach
Modified: 2012-10-25 22:06 UTC (History)
0 users

See Also:


Attachments
file.shar (3.62 KB, text/plain)
2012-10-18 07:50 UTC, Manuel Creach
no flags Details
libva-intel-driver.shar (5.75 KB, application/x-shar)
2012-10-19 00:26 UTC, Guido Falsi
no flags Details
libva-intel-driver.shar (5.96 KB, application/x-shar)
2012-10-22 16:27 UTC, Guido Falsi
no flags Details
libva-intel-driver.shar (5.76 KB, application/x-shar)
2012-10-23 22:34 UTC, Guido Falsi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Creach 2012-10-18 07:50:00 UTC
The libva-intel-driver provide the libva's driver for intel graphics cards
with hardware accelerated features for video encode/decode.
Comment 1 Guido Falsi freebsd_committer 2012-10-18 11:01:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 M.CREACH 2012-10-18 13:35:32 UTC
Hi,

The following line is missing in the Makefile=A0:=20
      NO_CHECKSUM=3D    yes

BR

Manuel
Comment 3 Guido Falsi freebsd_committer 2012-10-19 00:26:03 UTC
Hi!

I took this PR since I was already working on porting this.

I'm attaching a merge of what I did with your work. This is still work
in progress, as I still have to test this properly. I will followup with
a final version if this one needs modifications on real hardware.

I did set you up as maintainer in the attached shar. If you still want
to maintain this port once added I'll need your approval before
committing anything.

Please note that there are a few issues in your submission as is which
should anyway be addressed.

Your port fetches the live development version of libva-intel-driver,
which can change without advice, so people installing at different times
could get different versions, you also had to disable checksumming to
make this work, but this is unacceptable from a security and coherency
point of view.

Is there a reason why we should install bleeding edge source? I made the
port stick to 1.0.18 and just extracted from their repository a patch
needed to make it compile with libva 1.1.0. Is anything else needed? If
it is, can it be obtained as a patch or, at worst, by checking out a
specific revision from their repo and not the live head from it?

I'm fetching the source from
http://www.freedesktop.org/software/vaapi/releases/libva-intel-driver/
since the sources here have a precompiled configure, in this way the
ports does not need all the autotools.

You also sent the new port with PORTREVISION=1, I imagine to signal that
this is something more than 1.0.18. PORTREVISION is for differentiating
successive revisions of the FreeBSD port for that same version of the
upstream source. Incrementing it for any other reasons is inappropriate
use of that variable. New ports always start with PORTREVISION at it's
default value (0).

I also don't think the line:

CFLAGS+=	-DHAVE_LINUX_INTEGER_TYPES -DNDEBUG

is needed. Port builds fine without it. Could also not find any knob to
enable/disable debugging code in the port.

I changed to using PLIST_FILES in the Makefile, as suggested by
portlint, since the plist just contains two static files.

Finally two cosmetic details:

the header of the Makefile does not conform to the new standard, i
adapted it.

The WWW: in the pkg-descr points to a generic page. I think that
something more specific like their repository at
http://cgit.freedesktop.org/vaapi/intel-driver would be better.

Thanks for you work. I'll let you know how my testing ends.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 Manuel Creach 2012-10-19 10:41:56 UTC
Hi !

Thanks for you interest in my port.

I fetched the live development version to make it compile with libva-1.1.0, but version 1.0.18 builds fine and works well with the patch.

Could you please change my email address in Makefile to domain @me.com because the one with the @icloud.com don't seem to work well.



Manuel Creach
manuel.creach@me.com
Comment 5 Guido Falsi freebsd_committer 2012-10-20 00:10:32 UTC
No problem for the change.

BTW do you know if this port depends on Kernel Mode Setting? Or it has
other requirements? On which hardware and with which xorg version are
you testing it? Before declaring the port finished I'd like to know what
the requirement really are.

Could you also send the output of vainfo?

Thank you.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 6 Manuel Creach 2012-10-22 11:46:57 UTC
My video card's driver needs KMS to works so I can't answer in the moment. I'll try it on a little bit older hardware this afternoon.

I've tested it with new Xorg (v1.10.6 - 2012-02-10 from ports) and xf86-video-intel-2.17.0 with KMS support on Intel HD Graphics 2000 (Core-i3 2120 SandyBridge).

Here is the output from vainfo :
libva info: VA-API version 0.33.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/local/lib/va/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_33
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.33 (libva 1.1.0)
vainfo: Driver version: Intel i965 driver - 1.0.18
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            : VAEntrypointVLD
      VAProfileMPEG2Main              : VAEntrypointVLD
      VAProfileH264Baseline           : VAEntrypointVLD
      VAProfileH264Baseline           : VAEntrypointEncSlice
      VAProfileH264Main               : VAEntrypointVLD
      VAProfileH264Main               : VAEntrypointEncSlice
      VAProfileH264High               : VAEntrypointVLD
      VAProfileH264High               : VAEntrypointEncSlice
      VAProfileVC1Simple              : VAEntrypointVLD
      VAProfileVC1Main                : VAEntrypointVLD
      VAProfileVC1Advanced            : VAEntrypointVLD
Comment 7 Manuel Creach 2012-10-22 14:30:49 UTC
The libva-intel-driver works only with NEW_XORG, but x11-drivers/xf86-video-intel for this new Xorg needs KMS enabled.

So KMS needed indirectly.
Comment 8 Guido Falsi freebsd_committer 2012-10-22 14:51:56 UTC
On Mon, Oct 22, 2012 at 01:30:49PM +0000, MANUEL CREACH wrote:
> The libva-intel-driver works only with NEW_XORG, but x11-drivers/xf86-video-intel for this new Xorg needs KMS enabled.
> 
> So KMS needed indirectly.???

Thanks for the testing. I have tested it myself on an i3 laptop, similar
to what you did in the previous email, and it works fine.

I don't have any other intel graphiocs hardware handy so your test is
quite useful to me.

Yes, I'll add a test for KMS to be enabled too, since the nmodule
requires it indirectly.

I'll followup with a revised shar.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 9 Guido Falsi freebsd_committer 2012-10-22 16:27:11 UTC
This is my final patch, with a check for KMS support.

Can you approve it?

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 10 Manuel Creach 2012-10-22 18:04:20 UTC
Ok. I approve it.

Thanks for your work
=
Comment 11 Guido Falsi freebsd_committer 2012-10-23 22:34:44 UTC
Hi, sorry for still asking your approval, but before committing this I
noticed thee pkg-descr needs a little fix. I'm attaching another shar.

I have changed wording to avoid repeating the port name in it, this is
redundant.

I also changed the URL. I think that linking to the cgit page is better,
since it is specific. The page you put there is a generic page about
linux acceleration, not very appropriate IMHO.

Are you ok with this change?

Thank you again!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 12 Manuel Creach 2012-10-24 08:03:24 UTC
Hi,

It's OK for me.
You can commit it with the new pkg-descr.


Manuel=
Comment 13 Guido Falsi freebsd_committer 2012-10-25 22:06:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!